Show / Hide Table of Contents

Interface ICfnRouteMixinProps

Properties for CfnRoutePropsMixin.

Namespace: Amazon.CDK.CfnPropertyMixins.AWS.ApiGatewayV2
Assembly: Amazon.CDK.CfnPropertyMixins.dll
Syntax (csharp)
public interface ICfnRouteMixinProps
Syntax (vb)
Public Interface ICfnRouteMixinProps
Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigatewayv2-route.html

ExampleMetadata: fixture=_generated

Examples
// The code below shows an example of how to instantiate this type.
             // The values are placeholders you should change.
             using Amazon.CDK.CfnPropertyMixins.AWS.ApiGatewayV2;

             var requestModels;
             var requestParameters;

             var cfnRouteMixinProps = new CfnRouteMixinProps {
                 ApiId = "apiId",
                 ApiKeyRequired = false,
                 AuthorizationScopes = new [] { "authorizationScopes" },
                 AuthorizationType = "authorizationType",
                 AuthorizerId = "authorizerId",
                 ModelSelectionExpression = "modelSelectionExpression",
                 OperationName = "operationName",
                 RequestModels = requestModels,
                 RequestParameters = requestParameters,
                 RouteKey = "routeKey",
                 RouteResponseSelectionExpression = "routeResponseSelectionExpression",
                 Target = "target"
             };

Synopsis

Properties

ApiId

The API identifier.

ApiKeyRequired

Specifies whether an API key is required for the route.

AuthorizationScopes

The authorization scopes supported by this route.

AuthorizationType

The authorization type for the route.

AuthorizerId

The identifier of the Authorizer resource to be associated with this route.

ModelSelectionExpression

The model selection expression for the route.

OperationName

The operation name for the route.

RequestModels

The request models for the route.

RequestParameters

The request parameters for the route.

RouteKey

The route key for the route.

RouteResponseSelectionExpression

The route response selection expression for the route.

Target

The target for the route.

Properties

ApiId

The API identifier.

object? ApiId { get; }
Property Value

object

Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigatewayv2-route.html#cfn-apigatewayv2-route-apiid

Type union: either string or IApiRef

ApiKeyRequired

Specifies whether an API key is required for the route.

object? ApiKeyRequired { get; }
Property Value

object

Remarks

Supported only for WebSocket APIs.

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigatewayv2-route.html#cfn-apigatewayv2-route-apikeyrequired

Type union: either bool or IResolvable

AuthorizationScopes

The authorization scopes supported by this route.

string[]? AuthorizationScopes { get; }
Property Value

string[]

Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigatewayv2-route.html#cfn-apigatewayv2-route-authorizationscopes

AuthorizationType

The authorization type for the route.

string? AuthorizationType { get; }
Property Value

string

Remarks

For WebSocket APIs, valid values are NONE for open access, AWS_IAM for using AWS IAM permissions, and CUSTOM for using a Lambda authorizer. For HTTP APIs, valid values are NONE for open access, JWT for using JSON Web Tokens, AWS_IAM for using AWS IAM permissions, and CUSTOM for using a Lambda authorizer.

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigatewayv2-route.html#cfn-apigatewayv2-route-authorizationtype

AuthorizerId

The identifier of the Authorizer resource to be associated with this route.

object? AuthorizerId { get; }
Property Value

object

Remarks

The authorizer identifier is generated by API Gateway when you created the authorizer.

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigatewayv2-route.html#cfn-apigatewayv2-route-authorizerid

Type union: either string or IAuthorizerRef

ModelSelectionExpression

The model selection expression for the route.

string? ModelSelectionExpression { get; }
Property Value

string

Remarks

Supported only for WebSocket APIs.

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigatewayv2-route.html#cfn-apigatewayv2-route-modelselectionexpression

OperationName

The operation name for the route.

string? OperationName { get; }
Property Value

string

Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigatewayv2-route.html#cfn-apigatewayv2-route-operationname

RequestModels

The request models for the route.

object? RequestModels { get; }
Property Value

object

Remarks

Supported only for WebSocket APIs.

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigatewayv2-route.html#cfn-apigatewayv2-route-requestmodels

RequestParameters

The request parameters for the route.

object? RequestParameters { get; }
Property Value

object

Remarks

Supported only for WebSocket APIs.

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigatewayv2-route.html#cfn-apigatewayv2-route-requestparameters

RouteKey

The route key for the route.

string? RouteKey { get; }
Property Value

string

Remarks

For HTTP APIs, the route key can be either $default , or a combination of an HTTP method and resource path, for example, GET /pets .

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigatewayv2-route.html#cfn-apigatewayv2-route-routekey

RouteResponseSelectionExpression

The route response selection expression for the route.

string? RouteResponseSelectionExpression { get; }
Property Value

string

Remarks

Supported only for WebSocket APIs.

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigatewayv2-route.html#cfn-apigatewayv2-route-routeresponseselectionexpression

Target

The target for the route.

object? Target { get; }
Property Value

object

Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigatewayv2-route.html#cfn-apigatewayv2-route-target

Type union: either string or IIntegrationRef

Back to top Generated by DocFX